part of 'generated.dart';

class DeleteMemberTaskVariablesBuilder {
  String teamMemberId;
  String taskId;

  final FirebaseDataConnect _dataConnect;
  DeleteMemberTaskVariablesBuilder(this._dataConnect, {required  this.teamMemberId,required  this.taskId,});
  Deserializer<DeleteMemberTaskData> dataDeserializer = (dynamic json)  => DeleteMemberTaskData.fromJson(jsonDecode(json));
  Serializer<DeleteMemberTaskVariables> varsSerializer = (DeleteMemberTaskVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteMemberTaskData, DeleteMemberTaskVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteMemberTaskData, DeleteMemberTaskVariables> ref() {
    DeleteMemberTaskVariables vars= DeleteMemberTaskVariables(teamMemberId: teamMemberId,taskId: taskId,);
    return _dataConnect.mutation("deleteMemberTask", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteMemberTaskMemberTaskDelete {
  final String teamMemberId;
  final String taskId;
  DeleteMemberTaskMemberTaskDelete.fromJson(dynamic json):
  
  teamMemberId = nativeFromJson<String>(json['teamMemberId']),
  taskId = nativeFromJson<String>(json['taskId']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteMemberTaskMemberTaskDelete otherTyped = other as DeleteMemberTaskMemberTaskDelete;
    return teamMemberId == otherTyped.teamMemberId && 
    taskId == otherTyped.taskId;
    
  }
  @override
  int get hashCode => Object.hashAll([teamMemberId.hashCode, taskId.hashCode]);
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['teamMemberId'] = nativeToJson<String>(teamMemberId);
    json['taskId'] = nativeToJson<String>(taskId);
    return json;
  }

  DeleteMemberTaskMemberTaskDelete({
    required this.teamMemberId,
    required this.taskId,
  });
}

@immutable
class DeleteMemberTaskData {
  final DeleteMemberTaskMemberTaskDelete? memberTask_delete;
  DeleteMemberTaskData.fromJson(dynamic json):
  
  memberTask_delete = json['memberTask_delete'] == null ? null : DeleteMemberTaskMemberTaskDelete.fromJson(json['memberTask_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteMemberTaskData otherTyped = other as DeleteMemberTaskData;
    return memberTask_delete == otherTyped.memberTask_delete;
    
  }
  @override
  int get hashCode => memberTask_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (memberTask_delete != null) {
      json['memberTask_delete'] = memberTask_delete!.toJson();
    }
    return json;
  }

  DeleteMemberTaskData({
    this.memberTask_delete,
  });
}

@immutable
class DeleteMemberTaskVariables {
  final String teamMemberId;
  final String taskId;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteMemberTaskVariables.fromJson(Map<String, dynamic> json):
  
  teamMemberId = nativeFromJson<String>(json['teamMemberId']),
  taskId = nativeFromJson<String>(json['taskId']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteMemberTaskVariables otherTyped = other as DeleteMemberTaskVariables;
    return teamMemberId == otherTyped.teamMemberId && 
    taskId == otherTyped.taskId;
    
  }
  @override
  int get hashCode => Object.hashAll([teamMemberId.hashCode, taskId.hashCode]);
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['teamMemberId'] = nativeToJson<String>(teamMemberId);
    json['taskId'] = nativeToJson<String>(taskId);
    return json;
  }

  DeleteMemberTaskVariables({
    required this.teamMemberId,
    required this.taskId,
  });
}

